%{?nodejs_find_provides_and_requires}

%global packagename vasync
%global enable_tests 1

Name:		nodejs-vasync
Version:	1.6.4
Release:	7%{?dist}
Summary:	Utilities for observable asynchronous control flow

License:	MIT
URL:		https://github.com/davepacheco/node-vasync.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(verror)

%if 0%{?enable_tests}
BuildRequires:	npm(nodeunit)
BuildRequires:	npm(tap)
%endif

Requires:	nodejs

%description
Utilities for observable asynchronous control flow


%prep
%setup -q -n package

%nodejs_fixdep verror

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap tests/ && %{_bindir}/nodeunit tests/compat.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif



%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 25 2017 Jared Smith <jsmith@fedoraproject.org> - 1.6.4-3
- Remove jsl.node.conf, and fix the tests

* Sun Jan 22 2017 Jared Smith <jsmith@fedoraproject.org> - 1.6.4-2
- Relax dependency on npm(verror)

* Sun Jan 22 2017 Jared Smith <jsmith@fedoraproject.org> - 1.6.4-1
- Update to upstream 1.6.4 release

* Fri Nov  6 2015 Jared Smith <jsmith@fedoraproject.org> - 1.6.3-1
- Initial packaging
